Package com.pixelmed.test

# Class TestCStore_ConvertTransferSyntaxes

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestCStore_ConvertTransferSyntaxes

All Implemented Interfaces:
  `junit.framework.Test`

public class TestCStore_ConvertTransferSyntaxes extends junit.framework.TestCase

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`TestCStore_ConvertTransferSyntaxes.OurReceivedObjectHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`associationReleased`
`protected String`
`lastReceivedDicomFileName`
`protected static final String`
`scpAET`
`protected static final String`
`scuAET`
`protected static final int`
`waitIntervalWhenSleeping`

## Constructor Summary

Constructors
Constructor
Description
`TestCStore_ConvertTransferSyntaxes(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestCStore_ConvertTransferSyntaxes_SendImplicitVROriginalToDefaultSCPPresentationContextSelectionPolicySuccessfully()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### waitIntervalWhenSleeping

protected static final int waitIntervalWhenSleeping

See Also:
  - Constant Field Values

### scpAET

protected static final String scpAET

See Also:
  - Constant Field Values

### scuAET

protected static final String scuAET

See Also:
  - Constant Field Values

### lastReceivedDicomFileName

protected volatile String lastReceivedDicomFileName

### associationReleased

protected volatile boolean associationReleased

## Constructor Details

### TestCStore_ConvertTransferSyntaxes

public TestCStore_ConvertTransferSyntaxes(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### TestCStore_ConvertTransferSyntaxes_SendImplicitVROriginalToDefaultSCPPresentationContextSelectionPolicySuccessfully

public void TestCStore_ConvertTransferSyntaxes_SendImplicitVROriginalToDefaultSCPPresentationContextSelectionPolicySuccessfully() throws Exception

Throws:
  `Exception`